---
- name: Redis multihost mode setting
  ansible.builtin.set_fact:
    redis_local_only: false
  when: inventory_hostname_short not in groups.Development

- name: Redis base configuration
  ansible.builtin.include_role:
    name: let.services.redis

- name: Redis memory configuration
  when: inventory_hostname_short in groups.Exam
  ansible.builtin.template:
    src: redis_memory.conf
    dest: /etc/redis.conf.d/30-redis_memory.conf
    owner: root
    group: root
    mode: "0644"
  notify: "let.services.redis : Restart redis"

- name: Check if redis session cache is present in config.php
  ansible.builtin.shell: "grep -c 'redis' {{ moodle_doc_root }}/config.php || true"
  register: redis_present_in_config
  ignore_errors: true
  changed_when: false

- name: Add redis session cache to config.php
  ansible.builtin.blockinfile:
    path: "{{ moodle_doc_root }}/config.php"
    block: "{{ lookup('file', 'files/redis_session_config.php') }}"
    insertbefore: "^require_once"
  when: redis_present_in_config.stdout == "0"
